This file is part of MXE. See LICENSE.md for licensing information.

Contains ad hoc patches for cross building.

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Sun, 23 Oct 2011 21:36:53 +0200
Subject: [PATCH 1/4] support static linking to ntlm


diff --git a/configure b/configure
index 1111111..2222222 100755
--- a/configure
+++ b/configure
@@ -6221,8 +6221,8 @@ case "${host}" in
 			;;
 	*-*-cygwin*)	platform=CYGWIN ;;
 	*-*-mingw*)	platform=MINGW
-			SAMPLE_EXTRA_LIBS="-lws2_32 -lkernel32 -luser32 -lgdi32 -lm"
-			WSDL2H_EXTRA_LIBS="-lws2_32 -lkernel32 -luser32 -lgdi32 -lm"
+			SAMPLE_EXTRA_LIBS="-lntlm -lws2_32 -lkernel32 -luser32 -lgdi32 -lm"
+			WSDL2H_EXTRA_LIBS="-lntlm -lws2_32 -lkernel32 -luser32 -lgdi32 -lm"
 			;;
         *-*-freebsd*)   platform=FREEBSD ;;
         *-*-openbsd*)   platform=OPENBSD ;;

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Mon, 24 Oct 2011 11:17:13 +0200
Subject: [PATCH 2/4] ntlm support in .pc files


diff --git a/gsoap++.pc.in b/gsoap++.pc.in
index 1111111..2222222 100644
--- a/gsoap++.pc.in
+++ b/gsoap++.pc.in
@@ -9,4 +9,4 @@ Version: 2.8.130
 Requires:
 Libs: -L${libdir} -lgsoap++
 Libs.private: @SAMPLE_EXTRA_LIBS@
-Cflags: @SOAPCPP2_IPV6@ -DWITH_DOM -I${includedir}
+Cflags: @SOAPCPP2_IPV6@ -DWITH_DOM -DWITH_NTLM -I${includedir}
diff --git a/gsoap.pc.in b/gsoap.pc.in
index 1111111..2222222 100644
--- a/gsoap.pc.in
+++ b/gsoap.pc.in
@@ -9,4 +9,4 @@ Version: 2.8.130
 Requires:
 Libs: -L${libdir} -lgsoap
 Libs.private: @SAMPLE_EXTRA_LIBS@
-Cflags: @SOAPCPP2_IPV6@ -DWITH_DOM -I${includedir}
+Cflags: @SOAPCPP2_IPV6@ -DWITH_DOM -DWITH_NTLM -I${includedir}
diff --git a/gsoapck++.pc.in b/gsoapck++.pc.in
index 1111111..2222222 100644
--- a/gsoapck++.pc.in
+++ b/gsoapck++.pc.in
@@ -9,4 +9,4 @@ Version: 2.8.130
 Requires:
 Libs: -L${libdir} -lgsoapck++
 Libs.private: @SAMPLE_EXTRA_LIBS@
-Cflags: @SOAPCPP2_IPV6@ -DWITH_COOKIES -DWITH_DOM -I${includedir}
+Cflags: @SOAPCPP2_IPV6@ -DWITH_COOKIES -DWITH_DOM -DWITH_NTLM -I${includedir}
diff --git a/gsoapck.pc.in b/gsoapck.pc.in
index 1111111..2222222 100644
--- a/gsoapck.pc.in
+++ b/gsoapck.pc.in
@@ -9,4 +9,4 @@ Version: 2.8.130
 Requires:
 Libs: -L${libdir} -lgsoapck
 Libs.private: @SAMPLE_EXTRA_LIBS@
-Cflags: @SOAPCPP2_IPV6@ -DWITH_COOKIES -DWITH_DOM -I${includedir}
+Cflags: @SOAPCPP2_IPV6@ -DWITH_COOKIES -DWITH_DOM -DWITH_NTLM -I${includedir}
diff --git a/gsoapssl++.pc.in b/gsoapssl++.pc.in
index 1111111..2222222 100644
--- a/gsoapssl++.pc.in
+++ b/gsoapssl++.pc.in
@@ -9,4 +9,4 @@ Version: 2.8.130
 Requires:
 Libs: -L${libdir} -lgsoapssl++
 Libs.private: @SAMPLE_SSL_LIBS@ @SAMPLE_EXTRA_LIBS@
-Cflags: @SOAPCPP2_IPV6@ @WSDL2H_EXTRA_FLAGS@ -DWITH_DOM -I${includedir}
+Cflags: @SOAPCPP2_IPV6@ @WSDL2H_EXTRA_FLAGS@ -DWITH_DOM -DWITH_NTLM -I${includedir}
diff --git a/gsoapssl.pc.in b/gsoapssl.pc.in
index 1111111..2222222 100644
--- a/gsoapssl.pc.in
+++ b/gsoapssl.pc.in
@@ -9,4 +9,4 @@ Version: 2.8.130
 Requires:
 Libs: -L${libdir} -lgsoapssl
 Libs.private: @SAMPLE_SSL_LIBS@ @SAMPLE_EXTRA_LIBS@
-Cflags: @SOAPCPP2_IPV6@ @WSDL2H_EXTRA_FLAGS@ -DWITH_DOM -I${includedir}
+Cflags: @SOAPCPP2_IPV6@ @WSDL2H_EXTRA_FLAGS@ -DWITH_DOM -DWITH_NTLM -I${includedir}

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Tony Theodore <tonyt@logyst.com>
Date: Wed, 1 Feb 2017 12:32:00 +1100
Subject: [PATCH 3/4] workaround for building on newer OSX, can be removed in
 next update.

similar to https://github.com/unbit/uwsgi/pull/966

diff --git a/gsoap/stdsoap2.h b/gsoap/stdsoap2.h
index 1111111..2222222 100644
--- a/gsoap/stdsoap2.h
+++ b/gsoap/stdsoap2.h
@@ -3649,6 +3649,12 @@ SOAP_FMAC1 int SOAP_FMAC2 soap_putsetcookies(struct soap *soap);
 SOAP_FMAC1 int SOAP_FMAC2 soap_putcookies(struct soap *soap, const char *domain, const char *path, int secure);
 #endif
 
+#ifdef TCP_FASTOPEN
+  #ifndef SOL_TCP
+    #define SOL_TCP IPPROTO_TCP
+  #endif
+#endif
+
 #ifdef __cplusplus
 } /* extern "C" */
 #endif

From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Mark Brand <mabrand@mabrand.nl>
Date: Tue, 17 Sep 2019 23:06:42 +0200
Subject: [PATCH 4/4] fix pthreads with MINGW


diff --git a/gsoap/plugin/threads.h b/gsoap/plugin/threads.h
index 1111111..2222222 100644
--- a/gsoap/plugin/threads.h
+++ b/gsoap/plugin/threads.h
@@ -102,7 +102,7 @@ The threads.h and threads.c code define the following portable API:
  *
 \******************************************************************************/
 
-#if defined(WIN32)
+#if defined(WIN32) && !defined(MINGW)
 # define THREAD_TYPE		HANDLE
 # define THREAD_ID		GetCurrentThreadId()
 # define THREAD_CREATE(x,y,z)	((*(x) = (HANDLE)_beginthread((void(__cdecl*)(void*))(y), 0, (z))) == (HANDLE)-1L)
